Summary: The default startup script for the X Window System.
Name: xinitrc
Version: 2.4.3
Release: 1
Copyright: Public Domain
Group: User Interface/X
Source0: xinitrc-xinitrc
Source1: xinitrc-Xclients
Source2: xinitrc-RunWM
Source3: xinitrc-Xmodmap
Buildroot: /var/tmp/xinitrc-root
Requires: XFree86 /bin/sh
BuildArchitectures: noarch

%description
The xinitrc package contains the xinitrc file, a script which is used
to configure your X Window System session or to start a window
manager.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/xinit
install -m 644 $RPM_SOURCE_DIR/xinitrc-Xmodmap $RPM_BUILD_ROOT/etc/X11/xinit/Xmodmap
for i in xinitrc Xclients ; do
   install -m 755 $RPM_SOURCE_DIR/xinitrc-$i $RPM_BUILD_ROOT/etc/X11/xinit/$i
done
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 $RPM_SOURCE_DIR/xinitrc-RunWM $RPM_BUILD_ROOT/usr/X11R6/bin/RunWM
for i in Fvwm95 MWM AfterStep WindowMaker ; do
	ln -sf RunWM $RPM_BUILD_ROOT/usr/X11R6/bin/RunWM.$i
done
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/X11/xinit/*
/usr/X11R6/bin/*

%changelog
* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- enable use of xkb configuration files if they are present (# 4059)

* Thu Jun 17 1999 Bill Nottingham <notting@redhat.com>
- make Xclients/xinitrc executable...

* Thu Jun 10 1999 Preston Brown <pbrown@redhat.com>
- look for not only .Xmodmap/.Xresources, but also Xmodmap/Xresources
- Xmodmap w/ "keycode 22 = BackSpace" added for non Xkb-extension users

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- argh, fixed my changes from yesterday

* Sun Apr 18 1999 Preston Brown <pbrown@redhat.com>
- added /etc/sysconfig/desktop support

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- make /etc/X11/xinit/* %config (bug #1051)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- added ability to have KDE recognized if it is all that is installed

* Wed Jan 27 1999 Preston Brown <pbrown@redhat.com>
- updated so that GNOME is the default, and a few other cleanups

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- added the RunWM script and modified Xclients to use this new script

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- included WindowMaker hints

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- handle AfterStep (and possibly other window managers)

* Tue Nov 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- export the BROWSER variable.

* Fri Nov 08 1997 Cristian Gafton <gafton@redhat.com>
- added handling for the BROWSER variable

* Wed Oct 15 1997 Cristian Gaftin <gafton@redhat.com>
- updated for AnotherLevel

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built for glibc, added dependencies

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Added /etc/X11/xinitrc/Xclients to this file and removed it from rootfiles
  and etcskel.

